org.eclipse.eef.core.api.controllers

## Interface IEEFListController

All Superinterfaces:
  IEEFController, IEEFWidgetController

All Known Implementing Classes:
  EEFListController

    public interface IEEFListController
    extends IEEFWidgetController

The IEEFListController is responsible of supporting all the interactions with the widgets created for a list.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `action(EEFWidgetAction action, java.util.List<java.lang.Object> selection)` Invoked when the user clicks on an action button.
`void` `onClick(java.lang.Object element, java.lang.String onClickEventKind)` Invoked when the user clicks on an object.
`void` `onNewValue(IConsumer<java.lang.Object> consumer)` Register a consumer which will be called with the new value of the text when it will change.
`void` `removeNewValueConsumer()` Remove the consumer of the new value of the text.

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFWidgetController

`computeHelp, onNewHelp, onNewLabel, removeNewHelpConsumer, removeNewLabelConsumer`

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFController

`onValidation, refresh, removeValidationConsumer`

### Method Detail

#### onNewValue

    void onNewValue(IConsumer<java.lang.Object> consumer)

Register a consumer which will be called with the new value of the text when it will change.

Parameters:
  `consumer` - The consumer of the new value of the text

#### removeNewValueConsumer

    void removeNewValueConsumer()

Remove the consumer of the new value of the text.

#### onClick

    void onClick(java.lang.Object element,
                 java.lang.String onClickEventKind)

Invoked when the user clicks on an object.

Parameters:
  `element` - Semantic element
  `onClickEventKind` - The kind of event (single click or double click)

#### action

    void action(EEFWidgetAction action,
                java.util.List<java.lang.Object> selection)

Invoked when the user clicks on an action button.

Parameters:
  `action` - Widget action
  `selection` - The selected elements